struct VS_OUTPUT {
	float4 Pos : SV_POSITION;
	float2 UV0 : TEXCOORD0;
};

float4x4 matProj;

VS_OUTPUT main( float4 pos : POSITION, float2 uv0 : TEXCOORD )
{
	VS_OUTPUT Out;
	Out.Pos = mul( matProj, pos );
	Out.UV0 = uv0;
	return Out;
}